## petsc 3.16.6+dfsg1

=== debian/changelog ===
petsc (3.16.6+dfsg1-1build1) kinetic; urgency=medium

  * No-change rebuild against libscotch-7.0

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 16 May 2022 21:54:54 +0000

petsc (3.16.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Apr 2022 23:01:01 +0200

petsc (3.16.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Mar 2022 10:02:50 +0100

petsc (3.16.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI upgrade to 3.16
    - applies debian patches
      petscmpiexec_posix_sh.patch, hypre_owner_PR4237.patch
    - SuiteSparse support now uses libspqr.so
  * pdf manual no longer provided, only html
  * docs reorganized under docs subdir not html
  * debian/rules: at dh_fixperms make example meshes non-executable
  * debian/copyright: update khash.h location

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Nov 2021 01:41:33 +0100
