## petsc 3.18.4+dfsg1

=== debian/changelog ===
petsc (3.18.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Feb 2023 10:46:17 +0100

petsc (3.18.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Jan 2023 23:52:57 +0100

petsc (3.18.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests: test if SuiteSparse or Trilinos ML was used before
    running the respective runtime tests.
    On some 32-bit systems like armhf, armel, i386, SuiteSparse is
    not used with the 64-bit PETSc build and ML is not available.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Dec 2022 19:49:56 +0100

petsc (3.18.1+dfsg1-2) unstable; urgency=medium

  * drop use of dh_sphinxdoc (dh --with sphinxdoc).
    PETSc docs are not compatible with sphinx 5. Closes: #1013398.

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Dec 2022 22:47:04 +0100

petsc (3.18.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.18
  * debian patch ptscotch_without_bison_MR5787.diff applies upstream
    MR5787 to enable configuration without bison (with ptscotch).
    See https://gitlab.com/petsc/petsc/-/issues/1276

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Oct 2022 19:55:35 +0100

petsc (3.17.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * update lintian overrides
    (unversioned shared library links are handled via alternatives)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Oct 2022 00:06:44 +1100

petsc (3.17.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch clean_tests.patch
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Sep 2022 17:19:32 +0200

petsc (3.17.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI upgrade to 3.17

 -- Drew Parsons <dparsons@debian.org>  Sat, 02 Apr 2022 01:09:22 +0200
