## petsc 3.18.5+dfsg1

=== debian/changelog ===
petsc (3.18.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Mar 2023 15:16:00 +0100
