=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), python3, gfortran,
  pkg-config, dh-python,
  dh-fortran-mod,
@@ -54,7 +54,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-real3.16-dev, ${misc:Depends}
+Depends: libpetsc-real3.18-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -70,7 +70,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-complex3.16-dev, ${misc:Depends}
+Depends: libpetsc-complex3.18-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -82,12 +82,12 @@
  This is a dummy package which depends on the most recent version of
  libpetsc-complexX-dev with complex number support (X=version).
 
-Package: libpetsc-real3.16-dev
-Multi-Arch: same
-Architecture: any
-Section: libdevel
-Depends: libpetsc-real3.16 (= ${binary:Version}),
- libpetsc3.16-dev-common (= ${source:Version}),
+Package: libpetsc-real3.18-dev
+Multi-Arch: same
+Architecture: any
+Section: libdevel
+Depends: libpetsc-real3.18 (= ${binary:Version}),
+ libpetsc3.18-dev-common (= ${source:Version}),
  ${MPI:Depends},
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
@@ -98,8 +98,8 @@
  ${misc:Depends}, python3, ${python3:Depends}
 Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.16-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-real3.16-dbg (= ${binary:Version}), petsc3.16-doc, libluminate-dev
+Recommends: libpetsc3.18-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-real3.18-dbg (= ${binary:Version}), petsc3.18-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -110,32 +110,32 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.16 with real numbers.
-
-Package: libpetsc-real3.16
+ using PETSc 3.18 with real numbers.
+
+Package: libpetsc-real3.18
 Architecture: any
 Multi-Arch: same
 Section: libs
-Provides: libpetsc3.16
+Provides: libpetsc3.18
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
 Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
-Description: Shared libraries for version 3.16 of PETSc
- PETSc is the "Portable Extensible Toolkit for Scientific
- Computation", a suite of data structures and routines for the
- scalable (parallel) solution of scientific applications modeled by
- partial differential equations.  It employs the MPI standard for all
- message-passing communication.  Several sample scientific
- applications, as well as various papers and talks, demonstrate the
- features of the PETSc libraries.
- .
- This package contains the PETSc 3.16 shared library for real numbers.
- .
- It provides soname libpetsc-real3.16
-
-Package: libpetsc3.16-dev-common
+Description: Shared libraries for version 3.18 of PETSc
+ PETSc is the "Portable Extensible Toolkit for Scientific
+ Computation", a suite of data structures and routines for the
+ scalable (parallel) solution of scientific applications modeled by
+ partial differential equations.  It employs the MPI standard for all
+ message-passing communication.  Several sample scientific
+ applications, as well as various papers and talks, demonstrate the
+ features of the PETSc libraries.
+ .
+ This package contains the PETSc 3.18 shared library for real numbers.
+ .
+ It provides soname libpetsc-real3.18
+
+Package: libpetsc3.18-dev-common
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
@@ -153,7 +153,7 @@
  libyaml-dev,
  ${misc:Depends}, ${python3:Depends},
  ${sphinxdoc:Depends}
-Recommends: libpetsc-real3.16-dev | libpetsc-complex3.16-dev
+Recommends: libpetsc-real3.18-dev | libpetsc-complex3.18-dev
 Description: Common header and support dev files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -164,17 +164,17 @@
  features of the PETSc libraries.
  .
  This package provides header and other support files common to the
- various dev packages (with real or complex number support) for PETSc 3.16.
-
-Package: libpetsc3.16-dev-examples
+ various dev packages (with real or complex number support) for PETSc 3.18.
+
+Package: libpetsc3.18-dev-examples
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${python3:Depends},
  libjs-mathjax
 Recommends: ksh | mksh | pdksh | zsh,
- libpetsc-real3.16-dev | libpetsc-complex3.16-dev | libpetsc-real3.16-dbg | libpetsc-complex3.16-dbg
-Suggests: petsc3.16-doc
+ libpetsc-real3.18-dev | libpetsc-complex3.18-dev | libpetsc-real3.18-dbg | libpetsc-complex3.18-dbg
+Suggests: petsc3.18-doc
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -184,21 +184,21 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package provides example, test, and tutorial scripts for PETSc 3.16.
-
-Package: libpetsc-real3.16-dbg
+ This package provides example, test, and tutorial scripts for PETSc 3.18.
+
+Package: libpetsc-real3.18-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc-real3.16-dev (= ${binary:Version}),
- libpetsc3.16-dev-common (= ${source:Version}),
+Depends: libpetsc-real3.18-dev (= ${binary:Version}),
+ libpetsc3.18-dev-common (= ${source:Version}),
  libtrilinos-ml-dev [amd64 arm64 ppc64el s390x ppc64],
  libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
  ${misc:Depends}, ${shlibs:Depends},
  python3, ${python3:Depends}
-Recommends: libpetsc3.16-dev-examples, ksh | mksh | pdksh | zsh
-Provides: petsc3.16-dbg
+Recommends: libpetsc3.18-dev-examples, ksh | mksh | pdksh | zsh
+Provides: petsc3.18-dbg
 Description: Debugging libraries for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -209,17 +209,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.16 with real numbers.
+ debugging applications using PETSc 3.18 with real numbers.
  .
  Libraries include unstripped symbols, but this package is also built with
  internal PETSc debugging activated.
 
-Package: petsc3.16-doc
+Package: petsc3.18-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: sphinx-common, ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: libpetsc-real3.16-dev (= ${binary:Version}), illuminator-doc
+Suggests: libpetsc-real3.18-dev (= ${binary:Version}), illuminator-doc
 Description: Documentation and examples for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -229,14 +229,14 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains documentation for developing with PETSc 3.16.
-
-Package: libpetsc-complex3.16-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libpetsc-complex3.16 (= ${binary:Version}),
- libpetsc3.16-dev-common (= ${source:Version}),
+ This package contains documentation for developing with PETSc 3.18.
+
+Package: libpetsc-complex3.18-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libpetsc-complex3.18 (= ${binary:Version}),
+ libpetsc3.18-dev-common (= ${source:Version}),
  ${MPI:Depends},
  libmumps-dev,
  libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
@@ -245,8 +245,8 @@
  ${misc:Depends}, python3, ${python3:Depends}
 Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.16-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-complex3.16-dbg (= ${binary:Version}), petsc3.16-doc, libluminate-dev
+Recommends: libpetsc3.18-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-complex3.18-dbg (= ${binary:Version}), petsc3.18-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -257,11 +257,11 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.16 with support for complex numbers.
+ using PETSc 3.18 with support for complex numbers.
  .
  Note HYPRE is not supported with PETSc complex.
 
-Package: libpetsc-complex3.16
+Package: libpetsc-complex3.18
 Architecture: any
 Multi-Arch: same
 Section: libs
