## petsc 3.18.6%2Bdfsg1

=== debian/changelog ===
petsc (3.18.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2023 21:55:10 +0200
