## petsc 3.18.6+dfsg1

=== debian/changelog ===
petsc (3.18.6+dfsg1-1ubuntu1) mantic; urgency=medium

  * debian/patches/gcc-13.patch: fix misdetection of required C++
    library with gcc-13.
  * debian/rules: pass -Wl,-z,defs to the linker to guard against future
    misbuilds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Aug 2023 08:42:11 -0700

petsc (3.18.6+dfsg1-1build1) mantic; urgency=medium

  * No-change rebuild against libamd3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 30 Jul 2023 20:56:16 +0000
