=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), python3, gfortran,
