## petsc 3.19.6%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), python3, gfortran,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkg-config, dh-python,
  dh-fortran-mod,
  gdb,
@@ -28,7 +28,7 @@
  libyaml-dev,
  valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
  sphinx-common | python3-sphinx | dh-sequence-sphinxdoc
-Build-Depends-Indep: libjs-mathjax,
+Build-Depends-Indep: libjs-sphinxdoc, libjs-mathjax,
  libjs-jquery, libjs-jquery-ui
 Vcs-Git: https://salsa.debian.org/science-team/petsc.git
 Vcs-Browser: https://salsa.debian.org/science-team/petsc
@@ -55,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-real3.18-dev, ${misc:Depends}
+Depends: libpetsc-real3.19-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -71,7 +71,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-complex3.18-dev, ${misc:Depends}
+Depends: libpetsc-complex3.19-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -83,12 +83,12 @@
  This is a dummy package which depends on the most recent version of
  libpetsc-complexX-dev with complex number support (X=version).
 
-Package: libpetsc-real3.18-dev
-Multi-Arch: same
-Architecture: any
-Section: libdevel
-Depends: libpetsc-real3.18 (= ${binary:Version}),
- libpetsc3.18-dev-common (= ${source:Version}),
+Package: libpetsc-real3.19-dev
+Multi-Arch: same
+Architecture: any
+Section: libdevel
+Depends: libpetsc-real3.19t64 (= ${binary:Version}),
+ libpetsc3.19-dev-common (= ${source:Version}),
  ${MPI:Depends},
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
@@ -99,8 +99,8 @@
  ${misc:Depends}, python3, ${python3:Depends}
 Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.18-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-real3.18-dbg (= ${binary:Version}), petsc3.18-doc, libluminate-dev
+Recommends: libpetsc3.19-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-real3.19t64-dbg (= ${binary:Version}), petsc3.19-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -111,32 +111,32 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.18 with real numbers.
-
-Package: libpetsc-real3.18
+ using PETSc 3.19 with real numbers.
+
+Package: libpetsc-real3.19t64
 Architecture: any
 Multi-Arch: same
 Section: libs
-Provides: libpetsc3.18
+Provides: ${t64:Provides}, libpetsc3.19
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
-Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
-Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
-Description: Shared libraries for version 3.18 of PETSc
- PETSc is the "Portable Extensible Toolkit for Scientific
- Computation", a suite of data structures and routines for the
- scalable (parallel) solution of scientific applications modeled by
- partial differential equations.  It employs the MPI standard for all
- message-passing communication.  Several sample scientific
- applications, as well as various papers and talks, demonstrate the
- features of the PETSc libraries.
- .
- This package contains the PETSc 3.18 shared library for real numbers.
- .
- It provides soname libpetsc-real3.18
-
-Package: libpetsc3.18-dev-common
+Breaks: libpetsc-real3.19 (<< ${source:Version}), libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
+Replaces: libpetsc-real3.19, libpetsc3.6 (<< 3.6.2.dfsg1-4)
+Description: Shared libraries for version 3.19 of PETSc
+ PETSc is the "Portable Extensible Toolkit for Scientific
+ Computation", a suite of data structures and routines for the
+ scalable (parallel) solution of scientific applications modeled by
+ partial differential equations.  It employs the MPI standard for all
+ message-passing communication.  Several sample scientific
+ applications, as well as various papers and talks, demonstrate the
+ features of the PETSc libraries.
+ .
+ This package contains the PETSc 3.19 shared library for real numbers.
+ .
+ It provides soname libpetsc-real3.19t64
+
+Package: libpetsc3.19-dev-common
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
@@ -154,7 +154,7 @@
  libyaml-dev,
  ${misc:Depends}, ${python3:Depends},
  ${sphinxdoc:Depends}
-Recommends: libpetsc-real3.18-dev | libpetsc-complex3.18-dev
+Recommends: libpetsc-real3.19-dev | libpetsc-complex3.19-dev
 Description: Common header and support dev files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -165,17 +165,17 @@
  features of the PETSc libraries.
  .
  This package provides header and other support files common to the
- various dev packages (with real or complex number support) for PETSc 3.18.
-
-Package: libpetsc3.18-dev-examples
+ various dev packages (with real or complex number support) for PETSc 3.19.
+
+Package: libpetsc3.19-dev-examples
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${python3:Depends},
  libjs-mathjax
 Recommends: ksh | mksh | pdksh | zsh,
- libpetsc-real3.18-dev | libpetsc-complex3.18-dev | libpetsc-real3.18-dbg | libpetsc-complex3.18-dbg
-Suggests: petsc3.18-doc
+ libpetsc-real3.19-dev | libpetsc-complex3.19-dev | libpetsc-real3.19t64-dbg | libpetsc-complex3.19t64-dbg
+Suggests: petsc3.19-doc
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -185,21 +185,24 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package provides example, test, and tutorial scripts for PETSc 3.18.
-
-Package: libpetsc-real3.18-dbg
+ This package provides example, test, and tutorial scripts for PETSc 3.19.
+
+Package: libpetsc-real3.19t64-dbg
+Replaces: libpetsc-real3.19-dbg
+Breaks: libpetsc-real3.19-dbg (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc-real3.18-dev (= ${binary:Version}),
- libpetsc3.18-dev-common (= ${source:Version}),
+Depends: libpetsc-real3.19-dev (= ${binary:Version}),
+ libpetsc3.19-dev-common (= ${source:Version}),
  libtrilinos-ml-dev [amd64 arm64 ppc64el s390x ppc64],
  libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
  ${misc:Depends}, ${shlibs:Depends},
  python3, ${python3:Depends}
-Recommends: libpetsc3.18-dev-examples, ksh | mksh | pdksh | zsh
-Provides: petsc3.18-dbg
+Recommends: libpetsc3.19-dev-examples, ksh | mksh | pdksh | zsh
+X-Time64-Compat: libpetsc-real3.19-dbg
+Provides: ${t64:Provides}, petsc3.19-dbg
 Description: Debugging libraries for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -210,17 +213,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.18 with real numbers.
+ debugging applications using PETSc 3.19 with real numbers.
  .
  Libraries include unstripped symbols, but this package is also built with
  internal PETSc debugging activated.
 
-Package: petsc3.18-doc
+Package: petsc3.19-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: sphinx-common, ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: libpetsc-real3.18-dev (= ${binary:Version}), illuminator-doc
+Depends: sphinx-common, libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
+Suggests: libpetsc-real3.19-dev (= ${binary:Version}), illuminator-doc
 Description: Documentation and examples for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -230,14 +233,14 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains documentation for developing with PETSc 3.18.
-
-Package: libpetsc-complex3.18-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libpetsc-complex3.18 (= ${binary:Version}),
- libpetsc3.18-dev-common (= ${source:Version}),
+ This package contains documentation for developing with PETSc 3.19.
+
+Package: libpetsc-complex3.19-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libpetsc-complex3.19t64 (= ${binary:Version}),
+ libpetsc3.19-dev-common (= ${source:Version}),
  ${MPI:Depends},
  libmumps-dev,
  libtrilinos-zoltan-dev [amd64 arm64 ppc64el s390x ppc64],
@@ -246,8 +249,8 @@
  ${misc:Depends}, python3, ${python3:Depends}
 Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.18-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-complex3.18-dbg (= ${binary:Version}), petsc3.18-doc, libluminate-dev
+Recommends: libpetsc3.19-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-complex3.19t64-dbg (= ${binary:Version}), petsc3.19-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -258,14 +261,3 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.18 with support for complex numbers.
- .
- Note HYPRE is not supported with PETSc complex.
-
-Package: libpetsc-complex3.18
-Architecture: any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
